#ifndef __SPECIMEN_H__
#define __SPECIMEN_H__

#include <config.h>
#include <stdio.h>
#include <signal.h>

#ifndef DEBUG
# define DEBUG 0
#endif

#define FUBAR -69
#define SPACING 5		/* how much spacing between objects in gui */

#ifndef PIXMAPSDIR
# define PIXMAPSDIR "./"
#endif

#define errmsg(...) {fprintf(stderr, __FUNCTION__); fprintf(stderr, ": "); fprintf(stderr, __VA_ARGS__);}

#if DEBUG
# define debug(...) errmsg(__VA_ARGS__)
#else
# define debug(...)
#endif

typedef sig_atomic_t Atomic;

#endif /* __SPECIMEN_H__ */
